diff -up fedora-release-8/fedora-updates.repo.orig fedora-release-8/fedora-updates.repo
--- fedora-release-8/fedora-updates.repo.orig	2008-01-10 18:31:31.000000000 -0500
+++ fedora-release-8/fedora-updates.repo	2008-01-10 18:33:07.000000000 -0500
@@ -1,20 +1,8 @@
 [updates]
 name=Fedora $releasever - $basearch - Updates
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/$basearch/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-f$releasever&arch=$basearch
+mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=updates-released-f$releasever&arch=$basearch
 enabled=1
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
-
-[updates-debuginfo]
-name=Fedora $releasever - $basearch - Updates - Debug
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/$releasever/$basearch/debug/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-released-debug-f$releasever&arch=$basearch
-enabled=0
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
+gpgcheck=0
 
 [updates-source]
 name=Fedora $releasever - Updates Source
diff -up fedora-release-8/fedora-development.repo.orig fedora-release-8/fedora-development.repo
--- fedora-release-8/fedora-development.repo.orig	2008-01-10 18:31:31.000000000 -0500
+++ fedora-release-8/fedora-development.repo	2008-01-10 18:32:19.000000000 -0500
@@ -21,21 +21,9 @@
 
 [development]
 name=Fedora - Development
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearch/os/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide&arch=$basearch
+mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=rawhide&arch=$basearch
 enabled=0
 gpgcheck=0
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
-
-[development-debuginfo]
-name=Fedora - Development - Debug
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/development/$basearch/debug/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=rawhide-debug&arch=$basearch
-enabled=0
-gpgcheck=0
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora
 
 [development-source]
 name=Fedora - Development - Source
diff -up fedora-release-8/fedora.repo.orig fedora-release-8/fedora.repo
--- fedora-release-8/fedora.repo.orig	2008-01-10 18:31:31.000000000 -0500
+++ fedora-release-8/fedora.repo	2008-01-10 18:32:47.000000000 -0500
@@ -1,20 +1,8 @@
 [fedora]
 name=Fedora $releasever - $basearch
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/os/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-$releasever&arch=$basearch
+mirrorlist=http://mirrorlist.fedora-arm.wantstofly.org/?repo=fedora-$releasever&arch=$basearch
 enabled=1
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
-
-[fedora-debuginfo]
-name=Fedora $releasever - $basearch - Debug
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/releases/$releasever/Everything/$basearch/debug/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-debug-$releasever&arch=$basearch
-enabled=0
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora file:///etc/pki/rpm-gpg/RPM-GPG-KEY
+gpgcheck=0
 
 [fedora-source]
 name=Fedora $releasever - Source
diff -up fedora-release-8/fedora-updates-testing.repo.orig fedora-release-8/fedora-updates-testing.repo
--- fedora-release-8/fedora-updates-testing.repo.orig	2008-01-10 18:31:31.000000000 -0500
+++ fedora-release-8/fedora-updates-testing.repo	2008-01-10 18:33:20.000000000 -0500
@@ -1,21 +1,3 @@
-[updates-testing]
-name=Fedora $releasever - $basearch - Test Updates
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/$releasever/$basearch/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-f$releasever&arch=$basearch
-enabled=0
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
-
-[updates-testing-debuginfo]
-name=Fedora $releasever - $basearch - Test Updates Debug
-failovermethod=priority
-#baseurl=http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/$releasever/$basearch/debug/
-mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=updates-testing-debug-f$releasever&arch=$basearch
-enabled=0
-gpgcheck=1
-gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
-
 [updates-testing-source]
 name=Fedora $releasever - Test Updates Source
 failovermethod=priority
